Subject: bug#34688: 26.1; Crash on Pasting from Windows clipboard

From: Patrick Brennan <[email-masked]>
Date: Mon, 1 Apr 2019 12:32:18 -0700

Hi Eli,

That was my feeling as well - that there were potentially new changes which
were released only to the Insider Ring (which I'm in), and which break
Emacs. Therefore I thought it was a good idea to post the bug now, so that
if it turns out that this really is Emacs-breaking, you have some lead time
to address it. I reverted my last update, though, and I believe I have
taken at last one build since then, but I haven't seen it come back.

Best regards,
Patrick

On Mon, Apr 1, 2019 at 12:26 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Noam Postavsky <[email-masked]>
> > Date: Mon, 1 Apr 2019 15:15:52 -0400
> > Cc: [email-masked]
> >
> > > In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
> > >  of 2018-05-30 built on CIRROCUMULUS
> > > Repository revision: 07f8f9bc5a51f5aa94eb099f3e15fbe0c20ea1ea
> > > Windowing system distributor 'Microsoft Corp.', version 10.0.18342
> >
> > I can't reproduce this on my Windows 10 system. Emacs reports
> >
> >     Windowing system distributor 'Microsoft Corp.', version 10.0.17763
> >
> > So perhaps I have an older version, even though I have applied all
> > updates (as far as I know)?
>
> AFAIK, Windows 10 build 18342 is an "insider preview", so I think not
> everyone gets it.  It could also mean there are some bugs in that
> build, or (I hope not) some new "features" that cause Emacs trouble.
>